package seal

//新增用印请求
type AddReq struct {
	Use         string `description:"用印用途，枚举值：'销售合同', '渠道合同', '付款通知函', '招投标', '战略合作协议'；默认：销售合同"`
	CompanyName string `description:"客户名称，甲方名称,长度32位"`
	CreditCode  string `description:"社会统一信用代码,长度64位"`
	ServiceType string `description:"业务类型，枚举值：'新增业务', '续约业务', '补充协议'；默认：新增业务"`
	SealType    string `description:"加盖印章类型，枚举值：'合同章', '公章', '法人章';默认：合同章"`
	Remark      string `description:"备注,长度255位"`
	FileUrl     string `description:"文件附件地址"`
	IsAudit     bool   `description:"是否发起审批"`
}

//编辑用印请求
type EditReq struct {
	SealId      int    `description:"用印id"`
	Use         string `description:"用印用途，枚举值：'销售合同', '渠道合同', '付款通知函', '招投标', '战略合作协议'；默认：销售合同"`
	CompanyName string `description:"客户名称，甲方名称,长度32位"`
	CreditCode  string `description:"社会统一信用代码,长度64位"`
	ServiceType string `description:"业务类型，枚举值：'新增业务', '续约业务', '补充协议'；默认：新增业务"`
	SealType    string `description:"加盖印章类型，枚举值：'合同章', '公章', '法人章';默认：合同章"`
	Remark      string `description:"备注,长度255位"`
	FileUrl     string `description:"文件附件地址"`
	ReAudit     bool   `description:"是否重新发起审批"`
}
